
From: Andrew Morton <akpm@osdl.org>

Cc: Christoph Lameter <clameter@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/memory.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/memory.c~page-fault-patches-optional-page_lock-acquisition-in-vs-use-mm_counter-macros-for-nr_pte-since-its-also-under-ptl mm/memory.c
--- devel/mm/memory.c~page-fault-patches-optional-page_lock-acquisition-in-vs-use-mm_counter-macros-for-nr_pte-since-its-also-under-ptl	2005-08-30 18:41:22.000000000 -0700
+++ devel-akpm/mm/memory.c	2005-08-30 18:41:22.000000000 -0700
@@ -2169,7 +2169,7 @@ int __handle_mm_fault(struct mm_struct *
 			pte_free(new);
 		else {
 			inc_page_state(nr_page_table_pages);
-			mm->nr_ptes++;
+			inc_mm_counter(mm, nr_ptes);
 		}
 	}
 
_
